Package com.googlecode.htmlcompressor.compressor

# Class YuiCssCompressor

java.lang.Object
com.googlecode.htmlcompressor.compressor.YuiCssCompressor

All Implemented Interfaces:
  `Compressor`

public class YuiCssCompressor extends Object implements Compressor
Basic CSS compressor implementation using Yahoo YUI Compressor that could be used by `HtmlCompressor` for inline CSS compression.

Author:
  Sergiy Kovalchuk
See Also:
  - `HtmlCompressor.setCssCompressor(Compressor)`
  - Yahoo YUI Compressor

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `YuiCssCompressor()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `compress(String source)`
  The main method that compresses the given source and returns a compressed result.
  `int`
  `getLineBreak()`
  Returns number of symbols per line Yahoo YUI Compressor will use during CSS compression.
  `void`
  `setLineBreak(int lineBreak)`
  Tells Yahoo YUI Compressor to break lines after the specified number of symbols during CSS compression.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### YuiCssCompressor

    public YuiCssCompressor()

- ## Method Details

  - ### compress

    public String compress(String source)
    Description copied from interface: `Compressor`
    The main method that compresses the given source and returns a compressed result.
    Specified by:
      `compress` in interface `Compressor`
    Parameters:
      `source` - The source to compress.
    Returns:
      Compressed result.

  - ### getLineBreak

    public int getLineBreak()
    Returns number of symbols per line Yahoo YUI Compressor will use during CSS compression. This corresponds to `--line-break` command line option.
    Returns:
      `line-break` parameter value used for CSS compression.
    See Also:
      - Yahoo YUI Compressor

  - ### setLineBreak

    public void setLineBreak(int lineBreak)
    Tells Yahoo YUI Compressor to break lines after the specified number of symbols during CSS compression. This corresponds to `--line-break` command line option. This option has effect only if CSS compression is enabled. Default is `-1` to disable line breaks.
    Parameters:
      `lineBreak` - set number of symbols per line
    See Also:
      - Yahoo YUI Compressor